vuejs/component-compiler-utils: Lower level utilities for compiling Vue single file components

306
STARS
12
WATCHERS
69
FORKS
36
ISSUES

component-compiler-utils's Language Statistics

vuejs's Other Repos

Star history of component-compiler-utils
Issue history of component-compiler-utils

component-compiler-utils Recent Issues

Issue Title State Comments Created Date Updated Date Closed Date
Update postcss open 1 2022-01-13 2022-01-15 -
with newes component-compiler-utils @3.2.2 , error open 0 2021-09-28 2022-09-25 -
chore(deps): bump path-parse from 1.0.6 to 1.0.7 open 0 2021-08-10 2022-09-28 -
chore(deps): bump postcss from 7.0.32 to 7.0.36 closed 1 2021-06-15 2022-10-01 2021-10-26
chore(deps): bump y18n from 4.0.0 to 4.0.3 open 0 2021-06-15 2022-10-02 -
chore(deps): bump ini from 1.3.5 to 1.3.8 open 0 2021-06-15 2022-09-28 -
chore(deps): bump glob-parent from 5.1.1 to 5.1.2 open 0 2021-06-15 2022-09-29 -
fix: add undeclared dependencies `chalk` and `supports-color` closed 1 2021-06-10 2022-10-03 2021-06-15
chore(deps): bump ws from 5.2.2 to 5.2.3 open 0 2021-06-09 2022-09-28 -
fix: patch postcss 7 and bundle it in the published npm package closed 0 2021-06-01 2022-10-03 2021-06-09
https://www.npmjs.com/advisories/1693 closed 0 2021-05-16 2022-09-25 2021-06-09
chore(deps): bump postcss from 7.0.32 to 8.2.10 closed 1 2021-05-12 2022-09-30 2021-06-15
chore(deps): bump hosted-git-info from 2.8.8 to 2.8.9 closed 1 2021-05-10 2022-09-28 2021-06-09
chore(deps): bump lodash from 4.17.19 to 4.17.21 closed 1 2021-05-08 2022-09-30 2021-06-09
chore(deps): bump handlebars from 4.7.6 to 4.7.7 closed 1 2021-05-07 2022-09-28 2021-06-09
Clarification request about scoped style open 0 2021-04-23 2022-09-25 -
chore(deps): bump y18n from 4.0.0 to 4.0.1 closed 1 2021-03-30 2022-09-30 2021-06-09
chore(deps-dev): bump pug from 2.0.4 to 3.0.1 open 0 2021-03-03 2022-09-28 -
chore(deps): bump pug-code-gen from 2.0.2 to 2.0.3 closed 1 2021-03-03 2022-09-28 2021-06-09
feat: add `forceRequire` for asset closed 0 2021-01-23 2022-09-29 2021-01-31
About adding a firstChar('@') in the templateCompilerModules/utils closed 0 2021-01-21 2022-09-25 2021-01-21
chore(deps): bump ini from 1.3.5 to 1.3.7 closed 1 2020-12-11 2022-09-30 2021-06-09
About debugging components defined by the same name open 1 2020-12-09 2022-09-29 -
optionalDependencies are installed as normal dependencies open 4 2020-11-11 2022-09-25 -
Cannot read property 'parseComponent' of undefined closed 0 2020-10-12 2022-10-01 2020-10-12
fix: :root Selector should not be scoped (#85) open 0 2020-08-28 2022-09-30 -
Typo on README open 0 2020-08-12 2021-12-29 -
npm ERR! 404 '@vue/[email protected]' is not in the npm registry. closed 2 2020-08-06 2022-09-30 2020-08-06
chore(deps): bump lodash from 4.17.15 to 4.17.19 closed 1 2020-07-16 2022-09-28 2020-07-22
feat: asset handling for support vite dev. closed 1 2020-07-04 2022-09-28 2020-07-22
typescript definition for SFCDescriptor isn't compatible with vue-template-compiler open 1 2020-05-18 2022-09-25 -
:root Selector should not be scoped open 1 2020-04-27 2022-09-28 -
Switch `prettier` to an optional- or peerDependency closed 2 2020-03-25 2022-09-28 2020-04-08
TypeError: Cannot read property 'parseComponent' of undefined closed 29 2020-03-19 2022-09-25 2020-03-20
Contact on how to use this open 0 2020-03-18 2022-09-30 -
Allow both node-sass and sass open 1 2020-02-21 2022-09-28 -
TypeError: Class constructor LRUCache cannot be invoked without 'new' closed 2 2020-02-01 2022-09-28 2020-03-26
Vue loader breaks with version 3.0.1 closed 1 2019-11-06 2022-09-29 2019-11-06
Please remove prettier closed 3 2019-09-17 2022-09-29 2019-11-04
[Feature Request] Bump prettier version closed 2 2019-08-06 2022-10-01 2019-11-04
Is the version of prettier necessary to be locked? closed 2 2019-08-05 2022-09-28 2019-08-05
Allow for different transpilers than vue-template-es2015-compiler open 1 2019-07-13 2022-09-25 -
how to convert SFCDescriptor into raw SFC source open 1 2019-07-12 2022-09-25 -
TypeError: Super Expression must either be null or a function closed 2 2019-07-01 2022-10-02 2019-11-04
feature request: supporting custom urlToRequire function open 1 2019-04-29 2022-09-28 -
Set Pug's doctype option to html by default open 0 2019-04-04 2022-10-02 -
Reason for pinning prettier to specific version, 1.16.3? closed 2 2019-02-06 2022-09-28 2019-02-07
Does styleCompiler respect postcss config file? closed 1 2019-01-26 2022-09-29 2019-01-26
Sass imports not working from node_modules open 0 2019-01-14 2022-10-02 -
Source-map issue on windows closed 1 2019-01-10 2022-09-28 2019-01-14